Subject: summary (was: nd to identify boot rom)

From: [email-masked] (Mike Umbricht)
Date: Mon, 26 Sep 94 09:39:54 GMT

Here is a summary of the responses to my question about identifying boot roms
on a pdp-11/44, that have not been posted on usenet.  thanks, al

-mike [email-masked]
----------------------------------------------------------------- Xref: world
vmsnet.pdp-11:3248 alt.sys.pdp11:385 Path:
world!MathWorks.Com!yeshua.marcam.com!uunet!paperboy.ids.net!usenet From:
[email-masked] (Mike Umbricht) Newsgroups: vmsnet.pdp-11,alt.sys.pdp11
Subject: nd to identify boot rom Date: Tue, 20 Sep 94 05:03:30 GMT
Organization: IDS World Network Internet Access Service, (401) 884-9002 GUEST
[telnet ids.net] Lines: 24 Message-ID: <[email-masked]>
NNTP-Posting-Host: ids.net

hello,
	I need help identifying one of the boot roms in my PDP-11/44.  They are
located in a M7098 Unibus interface.  Here are the numbers printed on the chip:

M1-7642-5		8129		?G8220?		446E1

The ?? indicated that the numbers are hard to read, I may have copied them
wrong.

There are 5 sockets with 5 chips arranged like this:

764A9 (MS)	76789 (DU)	dip switch
see above	755A9 (rm/rp)	--___-____
		751A9 (DL)	1234567890 open

I think I have 4 of the 5 correctly identified.  Also, what are the dip
settings for?  The current settings work, I was just curious.

The reason that I am asking is that I need to install a TU81+ ROM.  So, one of
the above chips needs to go.  DEC suggested I pull the rm/rp 

-mike
[email-masked]
----------------------------------------------------------------- 
Date: Tue, 20 Sep 1994 11:59:16 -0400
From: [email-masked] (Alan R Sieving)
Message-Id: <[email-masked]>
To: [email-masked]
Subject: Re: nd to identify boot rom
Newsgroups: vmsnet.pdp-11,alt.sys.pdp11
References: <[email-masked]>

Mike-

The fifth rom on your 11/44 UBI/Boot board is the CPU diagnostic ROM.
It is slightly larger than the other four ROMS, and occupies address
space at 17765xxx.  The other four device boot roms (which you have
correctly identified) each fill one quarter of the space at 17773xxx.
In order to install a TU81+ (MU) boot rom, you'll need to decide which
of the others you can do without.  RM/RP may well be the best choice.

The DIP switch is defined as follows:
	S1 = boot to console when on; direct to device when off.
	S2 = internal boot logic enabled; (use some external boot, if off)
	S3..S10 specify the starting address to use when booting direct from 
		the device rom.  (If S1 were off)
		S10 is the low order bit, bit A1, and S3 is the highest.
		Thus, you could choose  starting addresses of  000 through 776
		(Note these are all at  17773xxx)
		Another way to think of it is that S3 and S4 select which of 
		the four boot roms is used, and S5-S10 select the starting
		point within the boot rom.  A majority of devices start at
		an offset of 4 within the rom.  If a boot rom contains code 
		for two different devices, the second one is at an offset of
		either 50 or 34.  By adding 2 to any of these starting addrs,
		you enable the CPU diagnostics to run first.

So, as you have it set now, the system should power up to the console
prompt, from which you'd boot a device.  To automatically boot a
device, you'd switch off S1, and set S3-S10 to an appropriate address.
(e.g. 004, (just S9 on) if you wanted to boot the device associated
with Boot rom 1.)
	E48 = Device 1
	E49 = Device 2
	E50 = Device 3
	E59 = Device 4

I hope this helps.  Let me know if you have further questions.
Perhaps we can get switch setting guides like this stored in some archive??

sincerely-

-- 
  --al.
Alan Sieving,  [email-masked]   or   [email-masked]
Quickware Engineering & Design,  225 Riverview Ave Waltham, MA, 02154-3874
W: 617-647-3800,  FAX: 617-647-3311   800-237-1185 for fast PDP-11's.
-------------------------------------------------------------------
Date: Wed, 21 Sep 1994 11:50:56 +0059 (EDT)
From: "Alan R. Sieving" <[email-masked]>
Subject: Re: nd to identify boot rom
To: Mike Umbricht <[email-masked]>
In-Reply-To: <[email-masked]>
Message-Id: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII

On Wed, 21 Sep 1994, Mike Umbricht wrote:
> 	I was looking at this last night and I'm fuzzy on a couple of things. 
Sorry I wasn't completely clear the first time;  I even thought you might
have these questions.

> Ok, switches 3 - 10 ; wouldn't that give an address from 000 - 377 octal?
The switch -> address correspondence is shifted by a bit; since the PDP 
likes most things (e.g. code) to be on word boundaries, the low order bit 
(A0 = byte address) is not needed, and is forced to 0.
Thus,  Sw345  678 910
   adrs  876  543 21-

> Is the address of the diagnostic rom the same as the console?  I was looking at
> the csr for the tu58 and think it's 1777650.  This 'looks' like the address
> below.  I don't have the tu58 on my pdp but I do have a spare drive from a vax
> 750.  I was thinking of trying to hook it to the socket on the console module. 
> Or am I really off base on this?
Yep, "they all look the same to me"

Console CSR  	= 1777756x   (x means 0..7 are all used)
second DL/TU58 	= 1777650x
Boot Diag Rom	= 17765xxx
Boot Dev Roms	= 17773xxx
Those 5's & 6's tend to blur after a while...

> >(e.g. 004, (just S9 on) if you wanted to boot the device associated
> Is that S9 or S8?
S9, see first paragraph.

> >	E48 = Device 1
> >	E49 = Device 2
> >	E50 = Device 3
> >	E59 = Device 4
> What does the E48, etc. stand for?
These are the component locations on the PCB.  I don't recall if they are 
marked, or not.  Each IC on the PCB has a location designator assigned to 
it, usually U1..Uxx, but in this case, DEC chose Exx.  They are usually 
sequentialaround the board (left-> right, top -> bottom, or some similar 
scheme)  I don't have any M7098s nearby to check whether DEC labelled 
them, or not.  If they didn't, hopefully they at least put  Rom 1, Rom2, 
etc. labels on the board.  Else, it is hard to tell which socket is for what.

> Thanks for your help.  I'll try to power on -> boot my drive later this week
> and see if I can get the switches right.
Any time;  let me know if you have further questions.  (Or, if you want 
it to go 3x faster...)

  --al.
Alan Sieving,  [email-masked]   or   [email-masked]
Quickware Engineering & Design,  225 Riverview Ave Waltham, MA, 02154-3874
W: 617-647-3800,  FAX: 617-647-3311   800-237-1185 for fast PDP-11's.
-------------------------------------------------------------------
M9312 boot rom list:
These roms can be used in a 9312 boot board, or in the 11/24's KT24 
boot/Unibus Map or in the 11/44's UBI:

All of these boot ROMs haev DEC part numbers of the form:
		23-nnnA9 
Device		Abbreviation	nnn
RL01,RL02	DL		751
RK06,RK07	DM		752
RP02,RP03	DP		755
RP04,05,06	DB		755
RM02,RM03	DB		755
RK03,RK05	DK		756
TU55,TU56	DT		756
RS03,RS04	DS		759
RX01		DX		753
RX02		DY		811
UDA50(RAxx)	DU		767
TK50,TU81	MU		E39	; yes, this is E39, not all numeric
TS04,TS11,TU80	MS		764
TS03,TU10,TE10	MT		758
TU16,45,77,TE16	MM		757
TU58		DD		765
TU60		CT		761
ASR33		TT		760
PC05		PR		760
DECNET		XL		926..928 (3 ROMs)
DECNET		XM		862..864 (3 ROMs)
DECNET		XU		868..870 (3 ROMs)
DECNET		XW		865..867 (3 ROMs)

The default starting address for all of these is xxx004 to run without
the diagnostics, and xxx006, to run with the diagnostics.
Exceptions to this are:	
	DB devices (RP04,5,6; RM02,3) start at 050 or 052 (nodiags/diags)
	DT and PR devices start at  034 or 036
	DECNET device unit 1 boots start at  030 or 032

Add 17773000 plus 0, 200, 400, or 600 for the first, second, third or 
fourth rom to these values to get the starting address.
	e.g.  To boot an RM03 using a '755 ROM installed in the third 
position, the starting address is  17773000 + 400 + 050 = 17773450
		To boot an RL02 using a '751 ROM installed in the first 
position, the starting address is 17773000 + 0 + 004 = 17773004

  --al.
Alan Sieving,  [email-masked]   or   [email-masked]
Quickware Engineering & Design,  225 Riverview Ave Waltham, MA, 02154-3874
W: 617-647-3800,  FAX: 617-647-3311   800-237-1185 for fast PDP-11's.